My Order

Get Order List Count

get
/orders/order-list
Query parameters
limitintegerOptional

Limit the number of results returned

offsetintegerOptional

Offset for pagination

countintegerOptional

Whether to return the count of results

keywordstringOptional

Search keyword for filtering orders

statusstringOptional

Filter orders by status

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
get
/orders/order-list

Export Order to PDF

get
/orders/order-export-pdf
Query parameters
orderProductIdintegerRequired

ID of the order product to be exported as a PDF

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
get
/orders/order-export-pdf

Track Order Product

get
/orders/track-order-product
Query parameters
orderProductIdintegerRequired

ID of the order product to track

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
get
/orders/track-order-product

Get Ratings by Order Product ID

get
/product-store/rating-by-order
Query parameters
orderProductIdintegerRequired

ID of the order product to retrieve ratings for

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
get
/product-store/rating-by-order

Submit a Product Review

post
/product-store/review
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
orderProductIdstringRequiredExample: 2458
skuNamestringRequiredExample: GSKU1234-01
productIdintegerRequiredExample: 2088
reviewsstringRequiredExample: test
ratingintegerRequiredExample: 4
Responses
post
/product-store/review

Get Order Details

get
/orders/order-detail
Query parameters
orderProductIdintegerRequired

ID of the order product to retrieve details for

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
get
/orders/order-detail

Last updated